<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <changeSet author="melnik (generated)" id="1544643872907-1-add-company">
        <createTable tableName="doc_company">
            <column autoIncrement="true" name="id" type="BIGINT">
                <constraints primaryKey="true" primaryKeyName="doc_companyPK"/>
            </column>
            <column name="name" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
            <column name="uniq_name" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
        </createTable>

        <addColumn tableName="doc_h">
            <column name="company_id" type="BIGINT"/>
        </addColumn>

        <addUniqueConstraint columnNames="uniq_name" constraintName="doc_company_uniq_name_index" tableName="doc_company"/>
        <addForeignKeyConstraint baseColumnNames="company_id" baseTableName="doc_h" constraintName="FKbhxbshcb0pikk0sx3g2uiwval" deferrable="false" initiallyDeferred="false" referencedColumnNames="id" referencedTableName="doc_company"/>
        <addDefaultValue columnDataType="timestamp" columnName="docdate" defaultValueComputed="CURRENT_TIMESTAMP" tableName="doc_h"/>

    </changeSet>
</databaseChangeLog>
